summaryrefslogtreecommitdiff
path: root/tests/rm/rm2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/rm2')
-rwxr-xr-xtests/rm/rm231
1 files changed, 9 insertions, 22 deletions
diff --git a/tests/rm/rm2 b/tests/rm/rm2
index 3798856ac..2524db06f 100755
--- a/tests/rm/rm2
+++ b/tests/rm/rm2
@@ -1,8 +1,7 @@
#!/bin/sh
# exercise another small part of remove.c
-# Copyright (C) 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
-# Inc.
+# Copyright (C) 2002-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,27 +21,14 @@ if test "$VERBOSE" = yes; then
rm --version
fi
-. $srcdir/../envvar-check
. $srcdir/../lang-default
-PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+. $srcdir/../test-lib.sh
+skip_if_root_
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-mkdir -p a/0 || framework_failure=1
-mkdir -p a/1/2 b/3 || framework_failure=1
-mkdir a/2 a/3 || framework_failure=1
-chmod u-x a/1 b || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+mkdir -p a/0 || framework_failure
+mkdir -p a/1/2 b/3 || framework_failure
+mkdir a/2 a/3 || framework_failure
+chmod u-x a/1 b || framework_failure
fail=0
@@ -60,7 +46,8 @@ rm: cannot remove `a/1/2': Permission denied
rm: cannot remove `b/3': Permission denied
EOF
-cmp out exp > /dev/null 2>&1 || { cmp out exp-solaris > /dev/null 2>&1 || fail=1; }
+cmp out exp > /dev/null 2>&1 \
+ || { cmp out exp-solaris > /dev/null 2>&1 || fail=1; }
test $fail = 1 && diff out exp 2> /dev/null
test -d a/0 && fail=1